Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package tasty
  Definition Classes
    nsc
-  object TreeUnpickler
  Definition Classes
    tasty
-  object MaybeCycle
  Definition Classes
    TreeUnpickler
- NoCycle
- Tombstone

c

scala.tools.nsc.tasty.TreeUnpickler.MaybeCycle

# NoCycle

###

#### case class NoCycle(at: Addr) extends MaybeCycle with Product with Serializable

Source
  TreeUnpickler.scala

Linear Supertypes
java.io.Serializable, Product, Equals, MaybeCycle, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NoCycle
2. Serializable
3. Product
4. Equals
5. MaybeCycle
6. AnyRef
7. Any

Implicitly

1. by SafeEq
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new NoCycle(at: Addr)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def !==(u: NoCycle): Boolean
   Implicit
     This member is added by an implicit conversion from NoCycle toSafeEq[NoCycle] performed by method SafeEq in scala.tools.nsc.tasty.
   Definition Classes
     SafeEq
   Annotations
     @inline()
3.  final def ##: Int
   Definition Classes
     AnyRef → Any
4.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from NoCycle toany2stringadd[NoCycle] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
5.  def ->[B](y: B): (NoCycle, B)
   Implicit
     This member is added by an implicit conversion from NoCycle toArrowAssoc[NoCycle] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
6.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
7.  final def ===(u: NoCycle): Boolean
   Implicit
     This member is added by an implicit conversion from NoCycle toSafeEq[NoCycle] performed by method SafeEq in scala.tools.nsc.tasty.
   Definition Classes
     SafeEq
   Annotations
     @inline()
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  val at: Addr
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def ensuring(cond: (NoCycle) => Boolean, msg: => Any): NoCycle
    Implicit
      This member is added by an implicit conversion from NoCycle toEnsuring[NoCycle] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (NoCycle) => Boolean): NoCycle
    Implicit
      This member is added by an implicit conversion from NoCycle toEnsuring[NoCycle] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): NoCycle
    Implicit
      This member is added by an implicit conversion from NoCycle toEnsuring[NoCycle] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): NoCycle
    Implicit
      This member is added by an implicit conversion from NoCycle toEnsuring[NoCycle] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from NoCycle toStringFormat[NoCycle] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def productElementNames: Iterator[String]
    Definition Classes
      Product
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (NoCycle, B)
   Implicit
     This member is added by an implicit conversion from NoCycle toArrowAssoc[NoCycle] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from MaybeCycle

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion SafeEq fromNoCycle to SafeEq[NoCycle]

### Inherited by implicit conversion any2stringadd fromNoCycle to any2stringadd[NoCycle]

### Inherited by implicit conversion StringFormat fromNoCycle to StringFormat[NoCycle]

### Inherited by implicit conversion Ensuring fromNoCycle to Ensuring[NoCycle]

### Inherited by implicit conversion ArrowAssoc fromNoCycle to ArrowAssoc[NoCycle]

### Ungrouped